Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.kernel
Class AGRTrio

    java.lang.Object
      madkit.kernel.AGRTrio

All Implemented Interfaces:
  java.io.Serializable

    public class AGRTrio

extends java.lang.Object
implements java.io.Serializable

A kernel internal structure. This class might be used by "system" agent developers as it is the structure of choice about organization in MadKit. It is thus present in many parameters to the kernel calls (and exhibited in the hooks)

See Also:
  Serialized Form

Constructor Summary
`AGRTrio(AgentAddress theAddress, java.lang.String theGroup)` Defines an Agent/Group/Role structure with role defined as null
`AGRTrio(AgentAddress theAddress, java.lang.String theGroup, java.lang.String theRole)`
`AGRTrio(AgentAddress theAddress, java.lang.String communityName, java.lang.String theGroup, java.lang.String theRole)` Defines an Agent/Group/Role structure.

Method Summary
`AgentAddress` | `getAgent()`
`java.lang.String` | `getCommunity()` Return the group information part
`java.lang.String` | `getGroup()` Return the group information part
`java.lang.String` | `getRole()` Return the role information part

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AGRTrio

    public AGRTrio(AgentAddress theAddress,
                   java.lang.String communityName,
                   java.lang.String theGroup,
                   java.lang.String theRole)

  Defines an Agent/Group/Role structure.

### AGRTrio

    public AGRTrio(AgentAddress theAddress,
                   java.lang.String theGroup,
                   java.lang.String theRole)

### AGRTrio

    public AGRTrio(AgentAddress theAddress,
                   java.lang.String theGroup)

  Defines an Agent/Group/Role structure with role defined as null

Method Detail

### getAgent

    public AgentAddress getAgent()

### getCommunity

    public java.lang.String getCommunity()

  Return the group information part

### getGroup

    public java.lang.String getGroup()

  Return the group information part

### getRole

    public java.lang.String getRole()

  Return the role information part

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.